Get Wallet History by Account Number
curl --request GET \
--url https://waas-staging.embedly.ng/api/v1/wallets/account-number/history \
--header 'x-api-key: <api-key>'import requests
url = "https://waas-staging.embedly.ng/api/v1/wallets/account-number/history"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://waas-staging.embedly.ng/api/v1/wallets/account-number/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "00",
"success": true,
"message": "Fetched Successfully",
"data": {
"walletHistories": [
{
"id": "cf931239-6b95-11f0-8d44-4af84d9ff6f1",
"walletId": "be342aca-4de7-11f0-a6de-7c1e52753c35",
"productId": "ed67af6f-6895-11f0-8d44-4af84d9ff6f1",
"remarks": "NIP-",
"amount": 900,
"debitCreditIndicator": "D",
"balance": 40,
"transactionReference": "EMBa95822675312343a687fe4b41336bbfea",
"transactionId": "EMBa95822675312343a687fe4b41336bbfea",
"isActive": true,
"dateCreated": "2025-07-28T09:32:42",
"mobileNumber": "09030355073",
"accountNumber": "9710131061",
"name": null
}
],
"totalCount": 1,
"totalPages": 1,
"currentPage": 1,
"pageSize": 50
}
}
{
"code": "400",
"success": false,
"message": "Bad Request
"data": null
}
{
"code": "404",
"success": false,
"message": "Wallet not found",
"data": null
}
Wallet
Get Wallet History by Account Number
The endpoint displays the transaction history for a specific wallet using the account number over a specified time range.
GET
/
wallets
/
account-number
/
history
Get Wallet History by Account Number
Request Param
string
required
Unique identifier for the customer. Example:
“9704651223”
string
required
Start date and time for the query period. Example:
“2025-03-19T16:18:37.676Z”
string
required
End date and time for the query period. Example:
“2025-03-19T16:18:37.676Z”
integer
Page to be returned. Example: “1”
integer
Number of data to be returned within a page Example: “10”
{
"code": "00",
"success": true,
"message": "Fetched Successfully",
"data": {
"walletHistories": [
{
"id": "cf931239-6b95-11f0-8d44-4af84d9ff6f1",
"walletId": "be342aca-4de7-11f0-a6de-7c1e52753c35",
"productId": "ed67af6f-6895-11f0-8d44-4af84d9ff6f1",
"remarks": "NIP-",
"amount": 900,
"debitCreditIndicator": "D",
"balance": 40,
"transactionReference": "EMBa95822675312343a687fe4b41336bbfea",
"transactionId": "EMBa95822675312343a687fe4b41336bbfea",
"isActive": true,
"dateCreated": "2025-07-28T09:32:42",
"mobileNumber": "09030355073",
"accountNumber": "9710131061",
"name": null
}
],
"totalCount": 1,
"totalPages": 1,
"currentPage": 1,
"pageSize": 50
}
}
{
"code": "400",
"success": false,
"message": "Bad Request
"data": null
}
{
"code": "404",
"success": false,
"message": "Wallet not found",
"data": null
}
⌘I